Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455402 - Unable to edit existing group and add as new.
Summary: Unable to edit existing group and add as new.
Keywords:
Status: CLOSED DUPLICATE of bug 520342
Alias: None
Product: Fedora
Classification: Fedora
Component: gq
Version: 12
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-15 12:19 UTC by Jóhann B. Guðmundsson
Modified: 2010-08-30 19:59 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-30 19:59:14 UTC


Attachments (Terms of Use)
gq-bugreport (deleted)
2008-07-15 12:19 UTC, Jóhann B. Guðmundsson
no flags Details
gq bugreport (deleted)
2008-09-02 09:15 UTC, Jóhann B. Guðmundsson
no flags Details

Description Jóhann B. Guðmundsson 2008-07-15 12:19:42 UTC
Description of problem:

The above using an existing group as a template fails as well
editing already existing group works fine.

Version-Release number of selected component (if applicable):

gq-1.3.4-1.fc9.i386

How reproducible:

Always.

Steps to Reproduce:
1. Try to create a new group.
2. Edit existing group and try to save it as new
3. Use an existing group as a template and try to save it as new
  
Actual results:

Unable to create group.

** (gq:23785): CRITICAL **: gq_formfill_get_flags: assertion
`GQ_IS_FORMFILL(self)' failed
** (gq:23785): CRITICAL **: gq_formfill_get_values: assertion
`GQ_IS_FORMFILL(self)' failed
** Message: FIXME: implement with GtkTreeView
** Message: FIXME: implement with GtkTreeView
(gq:23785): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in
cast to `GqFormfill'
** (gq:23785): CRITICAL **: gq_formfill_get_flags: assertion
`GQ_IS_FORMFILL(self)' failed
** (gq:23785): CRITICAL **: gq_formfill_get_values: assertion
`GQ_IS_FORMFILL(self)' failed
** Message: The server doesn't have a search attribute set. Using the default
one (cn) now. 
(gnome-terminal:4177): Vte-WARNING **: No handler for control sequence
`device-control-string' defined.

Expected results:

Being able to create a new group 

Additional info:

Comment 1 Jóhann B. Guðmundsson 2008-07-15 12:19:42 UTC
Created attachment 311809 [details]
gq-bugreport

Comment 2 Terje Røsten 2008-09-01 18:59:49 UTC
Thanks for the report, sorry the the late response.

Can you install the needed debuginfo rpm packages by using this command:

$ debuginfo-install gq

(You might need to enable the debuginfo yum repos)

and recreate the nice bugreport?

Comment 3 Jóhann B. Guðmundsson 2008-09-02 09:15:08 UTC
See also http://sourceforge.net/mailarchive/forum.php?thread_name=20080411155740.016c5c7f%40handgun.spinlock.hr&forum_name=gqclient-discuss

[johannbg@localhost ~]$ gq -d 1

(gq:26482): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `GqFormfill'

** (gq:26482): CRITICAL **: gq_formfill_get_flags: assertion `GQ_IS_FORMFILL(self)' failed

** (gq:26482): CRITICAL **: gq_formfill_get_values: assertion `GQ_IS_FORMFILL(self)' failed

[johannbg@localhost ~]$ gq --g-fatal-warnings

GLib-GObject-WARNING **: invalid uninstantiatable type `<invalid>' in cast to `GqFormfill'
aborting...
Could not find the frame base for "IA__g_spawn_sync".
Could not find the frame base for "IA__gtk_button_clicked".
Could not find the frame base for "gtk_real_button_released".
Could not find the frame base for "IA__gtk_button_released".
Could not find the frame base for "gtk_button_button_release".
Could not find the frame base for "_gtk_marshal_BOOLEAN__BOXED".
Could not find the frame base for "gtk_widget_event_internal".
Could not find the frame base for "IA__gtk_widget_event".
Could not find the frame base for "IA__gtk_propagate_event".
Could not find the frame base for "IA__gtk_main_do_event".
Could not find the frame base for "gdk_event_dispatch".

Comment 4 Jóhann B. Guðmundsson 2008-09-02 09:15:57 UTC
Created attachment 315512 [details]
gq bugreport

Comment 5 Jóhann B. Guðmundsson 2008-12-03 08:54:09 UTC
Anything happening?
Did you give Sven the bug number/url in bugzilla?
Have you rebuilt from latest svn?
???

Comment 6 Terje Røsten 2008-12-16 21:00:17 UTC
Sorry for the delay, I got some info from Sven.

I will try to reproduce the error and give him some feedback.

Comment 7 Bug Zapper 2009-06-10 02:05:37 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2009-07-14 17:22:21 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Bug Zapper 2009-11-16 08:09:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Terje Røsten 2010-08-30 19:59:14 UTC
There are a number of problematic issues with gq_ a lot of crashes and a dead
upstream. Seems like the best way forward is to find a good replacement.

*** This bug has been marked as a duplicate of bug 520342 ***


Note You need to log in before you can comment on or make changes to this bug.